Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.profile
Class JposDevCats.CoinDispenser

    java.lang.Object
      |
      +--jpos.profile.JposDevCats.AbstractDevCat
            |
            +--jpos.profile.JposDevCats.CoinDispenser

All Implemented Interfaces:
  DevCat

Enclosing class:
  JposDevCats

public static class JposDevCats.CoinDispenser
extends JposDevCats.AbstractDevCat
implements DevCat

Defines the DevCat for CoinDispenser

Since:
  1.3 (SF 2K meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Inner classes inherited from class jpos.profile.DevCat
`DevCat.BumpBar, DevCat.CashDrawer, DevCat.CAT, DevCat.CoinDispenser, DevCat.FiscalPrinter, DevCat.HardTotals, DevCat.Keylock, DevCat.LineDisplay, DevCat.MICR, DevCat.MSR, DevCat.Pinpad, DevCat.POSKeyboard, DevCat.POSPower, DevCat.POSPrinter, DevCat.RemoteOrderDisplay, DevCat.Scanner, DevCat.SignatureCapture, DevCat.ToneIndicator`

Fields inherited from interface jpos.profile.DevCat
`JPOS_VERSION_STRING`

Constructor Summary
`(package private)` | `JposDevCats.CoinDispenser()` Make ctor package to avoid ctor

Method Summary
`void` | `accept(DevCatVisitor visitor)` Accepts a DevCat Visitor object
`static DevCat` | `getInstance()`
`java.lang.String` | `toString()`

Methods inherited from class jpos.profile.JposDevCats.AbstractDevCat
`equals`

Methods inherited from class java.lang.Object
`, clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JposDevCats.CoinDispenser

    JposDevCats.CoinDispenser()

  Make ctor package to avoid ctor

Method Detail

### getInstance

    public static DevCat getInstance()

  Returns:
    the unique instance of this class (create if necessary)

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `DevCat`
  Overrides:
    `toString` in class `JposDevCats.AbstractDevCat`
  Returns:
    the String representation of this DevCat

### accept

    public void accept(DevCatVisitor visitor)

  Accepts a DevCat Visitor object
  Specified by:
    `accept` in interface `DevCat`
  Parameters:
    `visitor` - the DevCat Visitor object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details